> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/farming/tfarm-contract/entrypoints-overview/admin-entrypoints/burn_tez_rewards.md).

# burn\_tez\_rewards

An entrypoint that withdraws bakers rewards from TOK/TEZ QuipuSwap liquidity pool to [Burner](/smart-contracts/farming/burner-contract.md) contract. All rewards will be exchanged for QUIPU Governance tokens and burned.

### Call parameters

```pascaligo
type burn_tez_rew_type  is nat // Farm's ID
```

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const tFarmAddress = "KT1...";
const farmId = 1;
const tFarm = await tezos.contract.at(tFarmAddress);
const operation = await tFarm.methods.burn_tez_rewards(farmId).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `Not-admin` - `sender` of the transaction is not current administrator.
* `QSystem/farm-not-set` - farming with `fid` parameter doesn't exist.
* `QSystem/not-LP-farm` - staked token is not QuipuSwap V1 TOK/TEZ LP token.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/farming/tfarm-contract/entrypoints-overview/admin-entrypoints/burn_tez_rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
